﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

using Syncfusion.ListView.XForms.Android;
using Xamarin.Forms;
using ListView_CustomRenderer;
using ListView_CustomRenderer.Droid;
using System.ComponentModel;

[assembly: ExportRenderer(typeof(ListViewItemExt), typeof(ItemRendererExt))]
namespace ListView_CustomRenderer.Droid
{
    public class ItemRendererExt : ItemRenderer
    {
        protected override void OnElementPropertyChanged(object sender, PropertyChangedEventArgs e)
        {
            base.OnElementPropertyChanged(sender, e);

            if (e.PropertyName == "ItemData")
            {
                if (this.Control == null)
                {
                    var textView = new TextView(this.Context);
                    textView.Text = "Native View";
                    this.SetNativeControl(textView);
                }
            }
        }
    }
}